Difference between revisions of "Plugin:Carbon"

From collectd Wiki
Jump to: navigation, search
m (update template fields to more appropriate values)
(See also: New section.)
Line 42: Line 42:
  
 
Versions before 4.9 don't support this option; it's possible the ''Carbon plugin'' doesn't work with these versions of ''collectd''. [[Version 5.0]] and later will automatically set this flag for the ''Python plugin'', so the above syntax isn't required but still legal.
 
Versions before 4.9 don't support this option; it's possible the ''Carbon plugin'' doesn't work with these versions of ''collectd''. [[Version 5.0]] and later will automatically set this flag for the ''Python plugin'', so the above syntax isn't required but still legal.
 +
 +
== See also ==
 +
 +
* {{Plugin|Write Graphite}}<br />C-based plugin to send data to Graphite / Carbon efficiently. Included in ''collectd'' since [[version 5.1]].
  
 
== Dependencies ==
 
== Dependencies ==

Revision as of 18:57, 5 May 2012

Carbon/Graphite plugin
Type: write
Callbacks: write
Status: supported
First version: 4.9
Copyright: 2010 Gregory Szorc
License: Apache 2.0
Manpage: README.md (from project)
List of Plugins

The Carbon plugin writes data collected by collectd to Carbon, Graphite's storage API. It can be found at https://github.com/indygreg/collectd-carbon.

In essence, this is an alternative writer to RRD. Graphite's web UI has very compelling features, such as interactive graphs and dynamic functions.

Synopsis

<LoadPlugin "python">
  Globals true
</LoadPlugin>

Import "carbon_writer"
<Module carbon_writer>
  LineReceiverHost "myhost.mydomain"
  LineReceiverPort 2003
  DeriveCounters true
  TypesDB "/usr/share/collectd/types.db"
</Module>

Example graphs

Uses Graphite for rendering. See http://graphite.wikidot.com/screen-shots for some examples.

Caveats

Globals

If using versions 4.9 or 4.10, be sure to load the Python plugin with the Globals option set to true. Otherwise the Carbon module will not work properly. The appropriate configuration for loading the Python plugin is:

<LoadPlugin "python">
  Globals true
</LoadPlugin>

Versions before 4.9 don't support this option; it's possible the Carbon plugin doesn't work with these versions of collectd. Version 5.0 and later will automatically set this flag for the Python plugin, so the above syntax isn't required but still legal.

See also

Dependencies